<?php
/**
 * Events handlers of API operations.
 *
 * @license     MIT License
 * @author      Pavel Solomienko <https://github.com/servocoder/>
 * @copyright   Authors
 */

/**
 * Event listener on after "getfolder" API method successfully executed.
 *
 * @param \RFM\Event\Api\AfterFolderReadEvent $event
 */
function fm_event_api_after_folder_read($event)
{
    $data = $event->getFolderData();
    $list = $event->getListData();
}

/**
 * Event listener on after "addfolder" API method successfully executed.
 *
 * @param \RFM\Event\Api\AfterFolderCreateEvent $event
 */
function fm_event_api_after_folder_create($event)
{
    $data = $event->getItemData();
}

/**
 * Event listener on after "upload" API method successfully executed.
 *
 * @param \RFM\Event\Api\AfterFileUploadEvent $event
 */
function fm_event_api_after_file_upload($event)
{
    $data = $event->getUploadData();
}